<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;
use App\Database\Migrations\TenantMigration;

return new class extends TenantMigration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('resource_equipments', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('resource_id')->nullable();
            $table->foreign('resource_id')->nullable()->references('id')->on('resources')->onUpdate('cascade')->onDelete('cascade');
            $table->unsignedBigInteger('equipment_category_id')->nullable();
            $table->foreign('equipment_category_id')->nullable()->references('id')->on('equipment_categories')->onUpdate('cascade')->onDelete('cascade');
            $table->string('name')->nullable();
            $table->date('start_date')->nullable();
            $table->date('end_date')->nullable();
            $table->string('supplier')->nullable();
            $table->string('sku')->nullable();
            $table->text('description')->nullable();    
            $table->boolean('enabled')->default(1);        
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('resource_equipments');
    }
};
